#include<bits/stdc++.h>
using namespace std;
long long a,b,k,i,br_2,br_1;
pair<long long,long long> temp;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);

    cin>>a>>b>>k;
    for(i=a; i<=b; i++)
    {
        if(i%k==0)
        {
            temp.first=i/k;
            break;
        }
    }
    for(i=b; i>=a; i--)
    {
        if(i%k==0)
        {
            temp.second=i/k;
            break;
        }
    }
    br_1=temp.second-temp.first+1;
    br_2=(b-a-br_1)/2;
    cout<<br_1+br_2<<"\n";
    return 0;
}
